Rygel.PluginLoader – librygel-core Reference Manual

# PluginLoader

## Object Hierarchy:

## Description:

public class PluginLoader : RecursiveModuleLoader

This class is responsible for plugin loading.

It probes for shared library files in a specific directory, tries to find a module_init() function with this signature: `void module_init (RygelPluginLoader* loader);`

It then calls that function, passing a pointer to itself. The loaded module can then add plugins to Rygel by calling the rygel_plugin_loader_add_plugin() function.

Namespace: Rygel
Package: librygel-core

## Content:

### Creation methods:

- public PluginLoader ()

### Methods:

- public override void constructed ()
- public `bool` plugin_disabled (`string` name)
  Checks if a plugin is disabled by the user
- public void add_plugin (Plugin plugin)
- public Plugin? get_plugin_by_name (`string` name)
- public `Collection`<Plugin> list_plugins ()
- protected override `bool` load_module_from_file (`File` module_file)
- protected override `bool` load_module_from_info (PluginInformation info)

### Signals:

- public signal void plugin_available (Plugin plugin)

### Inherited Members:

All known members inherited from class Rygel.RecursiveModuleLoader

- base_path
- constructed

- load_modules
- load_modules_sync

- load_module_from_file
- load_module_from_info

All known members inherited from class GLib.Object

- @new
- newv
- new_valist
- get_type
- get_class
- @ref
- unref
- ref_sink
- weak_ref
- weak_unref
- add_weak_pointer
- remove_weak_pointer

- @get
- @set
- get_property
- set_property
- get_data
- set_data
- set_data_full
- steal_data
- get_qdata
- set_qdata
- set_qdata_full
- steal_qdata

- freeze_notify
- thaw_notify
- dispose
- constructed
- notify_property
- connect
- disconnect
- add_toggle_ref
- remove_toggle_ref
- bind_property
- notify
- ref_count